OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Private Attributes
GameInfo Class Reference

All static information from an Game like name, version, etc. More...

`#include <game_info.hpp>`

Inheritance diagram for GameInfo:

## Public Member Functions
bool | CanLoadFromVersion (int version) const
| Check if we can start this Game.
const char * | GetAPIVersion () const
| Get the API version this Game is written for.
bool | IsDeveloperOnly () const
| Can this script be selected by developers only?
Public Member Functions inherited from ScriptInfo
const char * | GetAuthor () const
| Get the Author of the script.
const char * | GetName () const
| Get the Name of the script.
const char * | GetShortName () const
| Get the 4 character long short name of the script.
const char * | GetDescription () const
| Get the description of the script.
int | GetVersion () const
| Get the version of the script.
const char * | GetDate () const
| Get the last-modified date of the script.
const char * | GetInstanceName () const
| Get the name of the instance of the script to create.
const char * | GetURL () const
| Get the website for this script.
const char * | GetMainScript () const
| Get the filename of the main.nut script.
const char * | GetTarFile () const
| Get the filename of the tar the script is in.
bool | CheckMethod (const char *name) const
| Check if a given method exists.
virtual class ScriptScanner * | GetScanner ()
| Get the scanner which has found this ScriptInfo.
bool | GetSettings ()
| Get the settings of the Script.
const ScriptConfigItemList * | GetConfigList () const
| Get the config list for this Script.
const ScriptConfigItem * | GetConfigItem (const char *name) const
| Get the description of a certain Script config option.
SQInteger | AddSetting (HSQUIRRELVM vm)
| Set a setting.
SQInteger | AddLabels (HSQUIRRELVM vm)
| Add labels for a setting.
int | GetSettingDefaultValue (const char *name) const
| Get the default value for a setting.
Public Member Functions inherited from SimpleCountedObject
virtual int32 | AddRef ()
virtual int32 | Release ()
virtual void | FinalRelease ()

## Static Public Member Functions
static void | RegisterAPI (Squirrel *engine)
| Register the functions of this class.
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an Game, using this GameInfo as start-template.
Static Public Member Functions inherited from ScriptInfo
static SQInteger | Constructor (HSQUIRRELVM vm, ScriptInfo *info)
| Process the creation of a FileInfo object.

## Private Attributes
int | min_loadable_version
| The Game can load savegame data if the version is equal or greater than this.
bool | is_developer_only
| Is the script selectable by non-developers?
const char * | api_version
| API version used by this Game.

## Additional Inherited Members
Data Fields inherited from SimpleCountedObject
int32 | m_ref_cnt
Protected Attributes inherited from ScriptInfo
class Squirrel * | engine
| Engine used to register for Squirrel.
HSQOBJECT * | SQ_instance
| The Squirrel instance created for this info.
ScriptConfigItemList | config_list
| List of settings from this Script.

## Detailed Description

All static information from an Game like name, version, etc.

Definition at line 18 of file game_info.hpp.

The documentation for this class was generated from the following files:

- src/game/game_info.hpp
- src/game/game_info.cpp